Company Revenue Breakdown
curl --request POST \
--url https://api.reportify.cn/v1/stock/company-revenue-breakdown \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"period": "<string>",
"limit": 123,
"start_date": "<string>",
"end_date": "<string>",
"fiscal_year": "<string>"
}
'import requests
url = "https://api.reportify.cn/v1/stock/company-revenue-breakdown"
payload = {
"symbol": "<string>",
"period": "<string>",
"limit": 123,
"start_date": "<string>",
"end_date": "<string>",
"fiscal_year": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
period: '<string>',
limit: 123,
start_date: '<string>',
end_date: '<string>',
fiscal_year: '<string>'
})
};
fetch('https://api.reportify.cn/v1/stock/company-revenue-breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"code": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}财务数据
Company Revenue Breakdown
Revenue breakdown of the company, by business segment, by product, or by region
POST
/
v1
/
stock
/
company-revenue-breakdown
Company Revenue Breakdown
营收分解
URL:/v1/stock/company-revenue-breakdown
方法: POST描述: 获取公司营收分解数据,按业务板块、产品或地区分类。
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| symbol | str | 是 | 股票代码。 |
| period | str | 否 | 报告周期:FY、Q2 等。 |
| limit | int | 否 | 返回最近 N 条记录,默认 6。 |
| start_date | str | 否 | 开始日期(YYYY-MM-DD)。 |
| end_date | str | 否 | 结束日期(YYYY-MM-DD)。 |
| fiscal_year | str | 否 | 指定财年(如 2023)。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| status | int | HTTP 状态码。 |
| code | int | 响应代码(0 表示成功)。 |
| message | str | 响应消息。 |
| data | object | 营收分解数据。 |
| currency | str | 货币单位。 |
| list | array | 营收分解列表。 |
| end_date | str | 报告期结束日期(YYYY-MM-DD)。 |
| period | str | 报告周期。 |
| fiscal_year | int | 财年。 |
| product | array | 按产品分解(可能为空)。 |
| area | array | 按地区分解。 |
| name | str | 地区名称。 |
| industry | array | 按行业/业务板块分解。 |
| name | str | 业务板块名称。 |
| revenue | number | 营收金额。 |
| revenue_percentage | number | 营收占比(百分比形式)。 |
| industry_total_revenue | number | 行业总营收。 |
请求示例
cURLcurl -X POST https://api.reportify.cn/v1/stock/company-revenue-breakdown \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
"symbol": "00700",
"limit": 2
}'
import requests
url = "https://api.reportify.cn/v1/stock/company-revenue-breakdown"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
data = {
"symbol": "00700",
"limit": 2
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
响应示例
{
"status": 200,
"code": 0,
"message": "",
"data": {
"currency": "HKD",
"list": [
{
"end_date": "2025-09-30",
"period": "三季报",
"fiscal_year": 2025,
"product": [],
"area": [
{
"name": "中國內地"
},
{
"name": "其他"
}
],
"industry": [
{
"name": "增值服務",
"revenue": 279361000000,
"revenue_percentage": 50.12
},
{
"name": "營銷服務",
"revenue": 103857000000,
"revenue_percentage": 18.63
},
{
"name": "金融科技及企業服務",
"revenue": 168617000000,
"revenue_percentage": 30.25
},
{
"name": "其他",
"revenue": 5560000000,
"revenue_percentage": 1.0
}
],
"industry_total_revenue": 557395000000
}
]
}
}
错误响应
| 状态码 | 描述 |
|---|---|
| 422 | 请求参数验证失败。 |
Authorizations
Enter your Bearer token
Body
application/json
⌘I
